//www.elegoo.com
//2016.12.12


#include "IRremote.h"

/*----- Variables, Pins -----*/

int receiver = 12; // Signal Pin of IR receiver to Arduino Digital Pin 12
int kaitenR = 8;
String data1 ="0";
String data2 ="0";
int countt =0;
IRrecv irrecv(receiver);    // create instance of 'irrecv'
decode_results results;     // create instance of 'decode_results'
int pcpower = 6;//the pin of the active pcpower
int amppower = 7;//the pin of the active amppower
int moter = 9;//the pin of the active moter
void setup()
{ 
  irrecv.enableIRIn(); // Start the receiver
  pinMode(pcpower,OUTPUT);//initialize the pcpower pin as an output
  pinMode(amppower,OUTPUT);//initialize the amppower pin as an output
  pinMode(moter,OUTPUT);//initialize the moter pin as an output
  pinMode(kaitenR, INPUT_PULLUP); //initialize the kaitenR pin as an input
}

void loop()
{

if (countt < 1){
digitalWrite(moter,LOW); 
if (irrecv.decode(&results)) // have we received an IR signal?
  {
    switch(results.value)
    {
      case 0xFFA857: // VOL- button pressed
                      if (data1=="0"){
                      digitalWrite(amppower,LOW); 
                      countt=33;
                      delay(500); 
                      data1="1";
                      data2="0";
                      digitalWrite(moter,HIGH); 
                      }
                      break;
      case 0xFF629D: // VOL+ button pressed
                      if (data2=="0"){
                      digitalWrite(amppower,HIGH); 
                      countt=33;
    
                      delay(500); 
                      data1="0";
                      data2="1";
                      digitalWrite(moter,HIGH); 
                      }
                      break;
      case 0xFF02FD: // PAUSE button pressed
                     
                      break;
      case 0xFFA25D: // POWER button pressed
                    digitalWrite(pcpower,HIGH);               
                    delay(800); 
                    digitalWrite(pcpower,LOW);   
                    break;
    }
    
      irrecv.resume(); // receive the next value
                 
  }  
}
else{
if (digitalRead(kaitenR) == LOW)
  {
    countt=countt-1;
    delay(400); 
  }


}
}/* --end main loop -- */
